Bug 1721165 - MDS session reference count may leak due to regression in 12.2.11
Summary: MDS session reference count may leak due to regression in 12.2.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.2
Hardware: All
OS: All
urgent
high
Target Milestone: rc
: 3.3
Assignee: Yan, Zheng
QA Contact: subhash
URL:
Whiteboard:
: 1730475 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-17 14:00 UTC by Patrick Donnelly
Modified: 2019-08-21 15:11 UTC (History)
7 users (show)

Fixed In Version: RHEL: ceph-12.2.12-25.el7cp Ubuntu: ceph_12.2.12-21redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-21 15:11:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 40200 0 None None None 2019-06-17 14:00:03 UTC
Red Hat Product Errata RHSA-2019:2538 0 None None None 2019-08-21 15:11:24 UTC

Description Patrick Donnelly 2019-06-17 14:00:04 UTC
Description of problem:

Session reference count leaks in some code paths causing other paths to fail an assert.

Version-Release number of selected component (if applicable):

3.3 (regression in upstream Luminous 12.2.11)

Comment 6 Patrick Donnelly 2019-07-16 20:35:09 UTC
*** Bug 1730475 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2019-08-21 15:11:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.